Summary:	GUI for Ecasound audio suite
Name:		ecawave
Version:	0.6.1
Release:	%mkrel 10
Group:		Sound
License:	GPL
URL:		http://www.eca.cx/ecawave/
Source0:	http://ecasound.seul.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}48.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}16.png.bz2
Patch0:		ecawave-gcc43.diff
Requires:	ecasound >= 2.1
BuildRequires:	freetype2-devel
BuildRequires:	glib-devel
BuildRequires:	libalsa-devel
BuildRequires:	libarts-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libecasound-devel
BuildRequires:	libexpat-devel
BuildRequires:	mng-devel
BuildRequires:	qt3-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ecawave is a simple graphical audio file editor. The user-interface is
based on Qt libraries, while almost all audio functionality is taken 
directly from ecasound libraries. As ecawave is designed for editing 
large audio files, all processing is done direct-to-disk. Simple 
waveform caching is used to speed-up file operations. Ecawave supports
all audio file formats and effect algorithms provided by ecasound
libraries. This includes OSS, ALSA, aRts, over 20 file formats, over 30
effect types, LADSPA plugins and multi-operator effect presets.

%prep

%setup -q
%patch0 -p0

perl -p -i -e 's/ecasound8/ecasound/g' configure
perl -p -i -e 's/lqt/lqt\-mt/g' `find -name 'Makefile.in'`

%build

%configure \
    --with-qt-dir=%{qt3dir} \
    --with-qt-includes=%{qt3include} \
    --with-qt-libraries=%{qt3lib} \

%make

%install
rm -rf %{buildroot}

%makeinstall

#icons
install -d %{buildroot}/{%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE1} > %{buildroot}/%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > %{buildroot}/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > %{buildroot}/%{_miconsdir}/%{name}.png

# Menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=EcaWave
Comment=Multitrack audio editing
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;AudioVideoEditing;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc BUGS COPYING NEWS README Documentation/* TODO
%{_bindir}/%{name}
%{_mandir}/man1/eca*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Aug 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-10mdv2009.0
+ Revision: 274838
- added a gcc43 patch
- fix url
- rebuilt against new ecasound libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6.1-7mdv2008.1
+ Revision: 140723
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.1-7mdv2008.0
+ Revision: 78283
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.1-6mdv2007.0
+ Revision: 125475
- rebuild
- Import ecawave

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.1-4mdk
- xdg menu

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.1-4mdk
- rebuild for ecasound
- mkrel

* Sat Apr 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.1-3mdk
- make it compile on amd64

* Sun Jun 13 2004 Austin Acton <austin@mandrake.org> 0.6.1-2mdk
- buildrequires

